Alerta de Segurança Debian

DSA-1028-1 libimager-perl -- erro de programação

Data do Alerta:
07 Mar 2006
Pacotes Afetados:
libimager-perl
Vulnerável:
Sim
Referência à base de dados de segurança:
No sistema de acompanhamento de bugs do Debian: Bug 359661.
No dicionário CVE do Mitre: CVE-2006-0053.
Informações adicionais:

Kjetil Kjernsmo descobriu um erro na libimager-perl, uma extensão Perl para a geração de imagens 24 bit, que pode levar a uma falha de segmentação se atuar em imagens JPEG 4-channel.

A antiga distribuição estável ("woody") não contém este pacote.

Para a distribuição estável ("sarge") este problema foi corrigido na versão 0.44-1sarge1.

Para a distribuição instável ("sid") este problema foi corrigido na versão 0.50-1.

Recomendamos que você atualize seu pacote libimager-perl.

Corrigido em:

Debian GNU/Linux 3.1 (sarge)

Fonte:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1.dsc
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1.diff.gz
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/libi/libimager-perl/libimager-perl_0.44-1sarge1_sparc.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.